<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.mdjfxj.hfXj.mapper.HfXjMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="hfXjResultMap" type="org.springblade.modules.mdjfxj.hfXj.entity.HfXjEntity">
        <result column="id" property="id"/>
        <result column="jf_id" property="jfId"/>
        <result column="hfdd" property="hfdd"/>
        <result column="hfdx" property="hfdx"/>
        <result column="hfqk" property="hfqk"/>
        <result column="sfmy" property="sfmy"/>
        <result column="mjqm" property="mjqm"/>
        <result column="bz" property="bz"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="cszt" property="cszt"/>
    </resultMap>


    <select id="selectHfXjPage" resultMap="hfXjResultMap">
        select * from mdjf_hf_xj where is_deleted = 0
    </select>


    <select id="exportHfXj" resultType="org.springblade.modules.mdjfxj.hfXj.excel.HfXjExcel">
        SELECT * FROM mdjf_hf_xj ${ew.customSqlSegment}
    </select>

</mapper>
